CreateVmFromVmBackup
CreateVmFromVmBackup
/zstack/v1/vm-instances/from/vm-backups/{groupUuid}Operation ID
CreateVmFromVmBackupSince
3.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
groupUuidStringRequiredThe UUID of the VM backup group.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the VM.
backupStorageUuidStringOptional. The UUID of the backup storage.
instanceOfferingUuidStringRequiredThe UUID of the instance offering.
l3NetworkUuidsListOptional. The UUIDs of L3 networks.
vmNicParamsStringOptional.The information of the vmNic
typeStringOptional. The type of the VM instance.
zoneUuidStringOptional. The zone UUID.
clusterUuidStringOptional. The cluster UUID.
hostUuidStringOptional. The host UUID.
primaryStorageUuidForRootVolumeStringOptional. The primary storage used to host the root volume.
primaryStorageUuidForDataVolumeStringOptional. The primary storage used to host data volumes.
descriptionStringOptional. The detailed description of the VM.
rootVolumeSystemTagsListOptional. The system tags of the root volume.
dataVolumeSystemTagsListOptional. The system tags of the data volume.
defaultL3NetworkUuidStringThe UUID of the L3 network.
resourceUuidStringOptional.
tagUuidsListOptional. The tagUuids.
strategyStringOptional. The srategy to create vms.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKChange History
View all change historyChange Time
AddedResponse fields isoInstallPath, isoUuidView API
